package cn.iocoder.yudao.module.system.convert.languagetype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.system.controller.admin.languagetype.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.languagetype.LanguageTypeDO;

/**
 * 语言类型 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface LanguageTypeConvert {

    LanguageTypeConvert INSTANCE = Mappers.getMapper(LanguageTypeConvert.class);

    LanguageTypeDO convert(LanguageTypeCreateReqVO bean);

    LanguageTypeDO convert(LanguageTypeUpdateReqVO bean);

    LanguageTypeRespVO convert(LanguageTypeDO bean);

    List<LanguageTypeRespVO> convertList(List<LanguageTypeDO> list);

    PageResult<LanguageTypeRespVO> convertPage(PageResult<LanguageTypeDO> page);

    List<LanguageTypeExcelVO> convertList02(List<LanguageTypeDO> list);

}
